Bug 521803 - Bootloader dialog opens up on wrong screen
Summary: Bootloader dialog opens up on wrong screen
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Martin Sivák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-08 11:48 UTC by Kamil Páral
Modified: 2010-11-08 07:46 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-08 07:46:33 UTC


Attachments (Terms of Use)
parent dialog (31.55 KB, image/jpeg)
2009-09-08 11:48 UTC, Kamil Páral
no flags Details

Description Kamil Páral 2009-09-08 11:48:01 UTC
Created attachment 360059 [details]
parent dialog

Description of problem:
I am using notebook with connected external LCD display. When I run anaconda, the notebook display is blank (active, but black) and everything shows up at the external display. That's fine. But when I click on "Change device" button to change location of the bootloader (see attached screenshot to know which dialog it is), the new dialog appears at upper left corner of the *notebook screen*. Which is very confusing, because I don't look at that screen and don't know about it. So I click "Change device" several times and "nothing happens". Only after a minute I notice that the dialog has appeared on the other screen.

The dialog should appear on the same screen as the parent dialog.

Version-Release number of selected component (if applicable):
Anaconda 12.20

How reproducible:
Always

Steps to Reproduce:
1. Have the same display setup as described
2. Click Change device
  
Actual results:
New dialog is opened at the other screen

Expected results:
New dialog is opened at the same screen

Additional info:

Comment 1 Chris Lumens 2009-09-08 18:56:46 UTC
anaconda is really not set up to handle multiple displays attached and running at the same time.  It's really a fairly simple-minded UI.  I suggest turning off the external display for the short time you'll be running anaconda.  Doing so should not affect your X configuration later in the least.

Comment 2 Kamil Páral 2009-09-09 09:40:03 UTC
How come that all other dialogs:
* "Weak password warning"
* "Partitioning warnings"
* "Write changes to disk?"
* "Creating filesystem"
* "Enable network interface"
* "Retrieving repo information"
* "Checking dependencies"
* "Starting installation process"
* "Change bootloader password"
* "Edit bootloader list"
do appear on the same (correct) screen, only the "Bootloader device dialog" on the wrong one?

I don't know anything about GTK (or what you are using), but in Swing the whole difference is made when you set or don't set parent dialog for the newly created one. If you set the parent, the new dialog appears at the center of it, if you don't set parent, the new dialog appears somewhere (anywhere) on the screen.

Please also note that all aforementioned dialogs appear at the center of the parent dialog, only the "Bootloader device dialog" appears in upper left corner even on single screen setup. It is *certainly* something wrong about it. And I don't believe it can't be fixed by changing a few lines. Sorry to bother, reopening :)

Comment 3 Kamil Páral 2009-09-09 09:41:30 UTC
That's really weird, I can't just reopen the bug, I have to assign it to myself. What the hell?

Comment 4 Bug Zapper 2009-11-16 12:03:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2010-11-04 10:10:16 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Kamil Páral 2010-11-08 07:46:33 UTC
I see this fixed in anaconda 14.22.


Note You need to log in before you can comment on or make changes to this bug.